package com.qmth.sop.business.entity;

import com.qmth.sop.common.base.BaseEntity;
import com.qmth.sop.common.enums.SopRoleTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 人员调配历史记录
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-05-15
 */
@ApiModel(value="TBUserArchivesAllocationLog对象", description="人员调配历史记录")
public class TBUserArchivesAllocationLog extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "派单详情表id")
    private Long crmDetailId;

    @ApiModelProperty(value = "sop角色类型")
    private SopRoleTypeEnum sopRoleType;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "人员档案id")
    private Long archivesId;

    @ApiModelProperty(value = "档案名称")
    private String archivesName;

    @ApiModelProperty(value = "供应商名称")
    private String supplierName;

    @ApiModelProperty(value = "城市")
    private String city;

    public Long getCrmDetailId() {
        return crmDetailId;
    }

    public void setCrmDetailId(Long crmDetailId) {
        this.crmDetailId = crmDetailId;
    }

    public SopRoleTypeEnum getSopRoleType() {
        return sopRoleType;
    }

    public void setSopRoleType(SopRoleTypeEnum sopRoleType) {
        this.sopRoleType = sopRoleType;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getArchivesId() {
        return archivesId;
    }

    public void setArchivesId(Long archivesId) {
        this.archivesId = archivesId;
    }

    public String getArchivesName() {
        return archivesName;
    }

    public void setArchivesName(String archivesName) {
        this.archivesName = archivesName;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }
}
